package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 文件对象 chat_dataset_file
 *
 * @author fs
 * @date 2024-04-21
 */
public class ChatDatasetFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fileId;

    /** 数据集ID */
    @Excel(name = "数据集ID")
    private Long datasetId;

    /** 角色ID */
    @Excel(name = "角色ID")
    private Long roleId;

    /** 外部ID */
    @Excel(name = "外部ID")
    private String extId;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;




    public void setFileId(Long fileId)
    {
        this.fileId = fileId;
    }

    public Long getFileId()
    {
        return fileId;
    }
    public void setDatasetId(Long datasetId)
    {
        this.datasetId = datasetId;
    }

    public Long getDatasetId()
    {
        return datasetId;
    }
    public void setRoleId(Long roleId)
    {
        this.roleId = roleId;
    }

    public Long getRoleId()
    {
        return roleId;
    }
    public void setExtId(String extId)
    {
        this.extId = extId;
    }

    public String getExtId()
    {
        return extId;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }


}
